# # #
# /32/union_example.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/32-introducing-ruby-zucker-a-new-syntactical-sugar-gem
# # #

require 'zucker/union' # or 'zucker/all'

# Regex.union is a nice features added in Ruby 1.9. You can pass Regexps or Strings
# which get merged into one Regexp. Zucker adds a more intuitive syntax.

# instead of
Regexp.union /Ruby\d/, /test/i, "cheat"

# you can write
/Ruby\d/ | /test/i | "cheat"

# it creates a Regexp similar to:
#  /(Ruby\d|[tT][eE][sS][tT]|cheat)/
